# $Revision: 1.11 $, $Date: 2005/04/03 19:03:36 $
Summary:	Panel applet to manage the aRts sound server
Summary(pl):	Aplet panelu do kontroli serwera dwiku aRts
Name:		kickarts
Version:	0.4
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://ripi.net/software/kickarts/%{name}-%{version}.tar.gz
# Source0-md5:	2cee1c1f1d0117cc42cc6dadb90c900a
URL:		http://ripi.net/software/kickarts/
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 3.1
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kickarts is a simple panel applet to manage the aRts sound server. It
has basically the same features as the command-line utility artsshell
and is useful for quickly suspending or terminating the sound server
before launching an incompatible audio application.

%description -l pl
Kickarts to prosty aplet panelu do kontroli serwera dwiku aRts. Ma
zasadniczo te same moliwoci co narzdzie dziaajce z linii polece
- artsshell - i jest uyteczny do szybkiego zatrzymania lub wyczenia
serwera dwiku przed zaadowaniem niekompatybilnej aplikacji audio.

%prep
%setup -q

%build
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
cp -f /usr/share/automake/config.sub admin
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde3/kickarts*.so
%{_libdir}/kde3/kickarts*.la
%{_datadir}/apps/kickarts
%{_datadir}/apps/kicker/applets/kickarts.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kickarts.spec,v $
Revision 1.11  2005/04/03 19:03:36  qboosh
- don't own kicker dirs; release 3

Revision 1.10  2005/04/03 18:56:38  darekr
- and removed needless definition

Revision 1.9  2005/04/03 18:54:56  darekr
- _kdedocdir needs macros 1.129

Revision 1.8  2004/08/21 20:03:35  ankry
- rel. 2 to rebuild

Revision 1.7  2004/01/11 18:46:17  undefine
- copy config.sub to allow build on amd64, release 1

Revision 1.6  2004/01/11 17:23:03  migo
- removed bogus xmms dependency, rel 0.2

Revision 1.5  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.4  2003/05/28 12:59:21  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/16 20:42:56  qboosh
- pl cosmetics, removed ac,am from BR (not used)

Revision 1.1  2003/03/13 09:56:23  mkierus
- initial release
